Debian Bug report logs - #488414
Need to guess that q is the key to press

version graph

Package: reportbug; Maintainer for reportbug is Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>; Source for reportbug is src:reportbug.

Reported by: Chris Walker <chrisw@chiark.greenend.org.uk>

Date: Sat, 28 Jun 2008 18:03:04 UTC

Severity: normal

Found in version reportbug/3.41

Fixed in version reportbug/4.12

Done: Sandro Tosi <morph@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>:
Bug#488414; Package reportbug. Full text and rfc822 format available.

Acknowledgement sent to Chris Walker <chrisw@chiark.greenend.org.uk>:
New Bug report received and forwarded. Copy sent to Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Chris Walker <chrisw@chiark.greenend.org.uk>
To: submit@bugs.debian.org
Subject: Need to guess that q is the key to press
Date: Sat, 28 Jun 2008 19:00:51 +0100
Package: reportbug
Version: 3.41
Severity: normal

Reportbug lists common problems and their solutions - presumably
through more. To continue submitting a bug, you need to guess that you
have to press q to quit the pager. It would be nice if this were
actually mentioned.

Chris

-- Package-specific info:
** Environment settings:
INTERFACE="urwid"

** /home/chrisw/.reportbugrc:
reportbug_version "3.41"
mode advanced
ui urwid
realname "Christopher J. Walker"
email "chrisw@chiark.greenend.org.uk"
no-cc
header "X-Debbugs-CC: chrisw@chiark.greenend.org.uk"
smtphost bugs.debian.org

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages reportbug depends on:
ii  apt                           0.7.14+b1  Advanced front-end for dpkg
ii  python                        2.5.2-1    An interactive high-level object-o
ii  python-central                0.6.7      register and build utility for Pyt

reportbug recommends no packages.

-- no debconf information






Information forwarded to debian-bugs-dist@lists.debian.org, Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>:
Bug#488414; Package reportbug. (Mon, 20 Apr 2009 20:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to chaica <chaica@ohmytux.com>:
Extra info received and forwarded to list. Copy sent to Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>. (Mon, 20 Apr 2009 20:45:08 GMT) Full text and rfc822 format available.

Message #10 received at 488414@bugs.debian.org (full text, mbox):

From: chaica <chaica@ohmytux.com>
To: 488414@bugs.debian.org
Subject: This feature has been added
Date: Mon, 20 Apr 2009 22:41:33 +0200
[Message part 1 (text/plain, inline)]
Hi,

In latests versions of reportbug, this message appears at the end of
your pager page :

(You may need to press 'q' to exit your pager and continue using
reportbug at this point.)

I think this feature solves your problem.

Regards,
Carl Chenet
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>:
Bug#488414; Package reportbug. (Wed, 29 Apr 2009 21:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
Extra info received and forwarded to list. Copy sent to Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>. (Wed, 29 Apr 2009 21:12:07 GMT) Full text and rfc822 format available.

Message #15 received at 488414@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: chaica <chaica@ohmytux.com>, 488414@bugs.debian.org
Subject: Re: Bug#488414: This feature has been added
Date: Wed, 29 Apr 2009 23:09:44 +0200
2009/4/20 chaica <chaica@ohmytux.com>:
> In latests versions of reportbug, this message appears at the end of
> your pager page :
>
> (You may need to press 'q' to exit your pager and continue using
> reportbug at this point.)
>
> I think this feature solves your problem.

well, not exactly: what you're referring to is the "presubj" script
for reportbug *only*, as you can see from
/usr/share/bug/reportbug/presubj .

So it's indeed fixed for 'reportbug' itself, but for all the other
/usr/share/bug/*/presubj script, the user is still left with a pager
with no instruction on how to go on (one example I checked was 'git').

Cheers,
-- 
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Information forwarded to debian-bugs-dist@lists.debian.org, Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>:
Bug#488414; Package reportbug. (Mon, 05 Apr 2010 17:42:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
Extra info received and forwarded to list. Copy sent to Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>. (Mon, 05 Apr 2010 17:42:09 GMT) Full text and rfc822 format available.

Message #20 received at 488414@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: 488414@bugs.debian.org,488414@bugs.debian.org
Cc: ,control@bugs.debian.org
Subject: [reportbug/master] append a notice to every 'presubj' script shown in UI text that 'q' is probably the key to press to exit the pager (updating reportbug 'presubj' script to remove that notice); thanks to Chris Walker for the report; Closes: #488414
Date: Mon, 05 Apr 2010 17:35:58 +0000
tag 488414 pending
tag 488414 pending
thanks

Date:   Mon Apr 5 15:07:59 2010 +0200
Author: Sandro Tosi <morph@debian.org>
Commit ID: 8af70aabab09abf341179e61eb46750b90265416
Commit URL: http://git.debian.org/?p=reportbug/reportbug.git;a=commitdiff;h=8af70aabab09abf341179e61eb46750b90265416
Patch URL: http://git.debian.org/?p=reportbug/reportbug.git;a=commitdiff_plain;h=8af70aabab09abf341179e61eb46750b90265416

    append a notice to every 'presubj' script shown in UI text that 'q' is probably the key to press to exit the pager (updating reportbug 'presubj' script to remove that notice); thanks to Chris Walker for the report; Closes: #488414

      




Added tag(s) pending. Request was from Sandro Tosi <morph@debian.org> to control@bugs.debian.org. (Mon, 05 Apr 2010 17:42:18 GMT) Full text and rfc822 format available.

Reply sent to Sandro Tosi <morph@debian.org>:
You have taken responsibility. (Wed, 14 Apr 2010 16:24:16 GMT) Full text and rfc822 format available.

Notification sent to Chris Walker <chrisw@chiark.greenend.org.uk>:
Bug acknowledged by developer. (Wed, 14 Apr 2010 16:24:16 GMT) Full text and rfc822 format available.

Message #27 received at 488414-close@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: 488414-close@bugs.debian.org
Subject: Bug#488414: fixed in reportbug 4.12
Date: Wed, 14 Apr 2010 16:20:34 +0000
Source: reportbug
Source-Version: 4.12

We believe that the bug you reported is fixed in the latest version of
reportbug, which is due to be installed in the Debian FTP archive:

python-reportbug_4.12_all.deb
  to main/r/reportbug/python-reportbug_4.12_all.deb
reportbug_4.12.dsc
  to main/r/reportbug/reportbug_4.12.dsc
reportbug_4.12.tar.bz2
  to main/r/reportbug/reportbug_4.12.tar.bz2
reportbug_4.12_all.deb
  to main/r/reportbug/reportbug_4.12_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 488414@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sandro Tosi <morph@debian.org> (supplier of updated reportbug package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 14 Apr 2010 17:30:48 +0200
Source: reportbug
Binary: reportbug python-reportbug
Architecture: source all
Version: 4.12
Distribution: unstable
Urgency: low
Maintainer: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>
Changed-By: Sandro Tosi <morph@debian.org>
Description: 
 python-reportbug - Python modules for interacting with bug tracking systems
 reportbug  - reports bugs in the Debian distribution
Closes: 390466 428113 461908 474187 488414 503131 511210 552045 560230 565283 565435 571955 571970 572316 575044 575418 575450 576116
Changes: 
 reportbug (4.12) unstable; urgency=low
 .
   * reportbug/debianbts.py
     - fix description for 'experimental' tag; thanks to Raphael Rigo for the
       report; Closes: #575044
     - check the available packages (not only the installed ones) when reporting
       a wnpp bug; thanks to Filippo Giunchedi for the report; Closes: #565435
   * bin/reportbug
     - removed the information that an empty subject would stop the report: it
       will continue until entered or Ctrl+c; thanks Torquil Macdonald Sørensen
       for the report; Closes: #575450
     - keep presenting the severity menu until one is selected (prevent a crash
       with urwid UI and Cancel button); thanks to Noah Slater for the report;
       Closes: #461908
     - treat every FTBFS bug (pseudo-severity 'does-not-build') as 'serious' but
       adding a note in the Justification pseudo-header if the package was built
       successfully in the past; thanks to Alexander Schmehl for the report;
       Closes: #390466
     - in case of a bug for an undisclosed vulnerability (tagged 'security'),
       report it to the private Security Team mailing list instead of to the
       public BTS (to coordinate the release of the fix); thanks to Chris
       Lawrence for the report and to the Sec Team for review; Closes: #474187
   * reportbug/submit.py
     - clarify that in case no acknowledge is received, then there was an error;
       thanks to mpapet for the report; Closes: #575418
   * reportbug/ui/gtk2_ui.py
     - pass 'buglist' to 'sync_pre_operation' method of 'HandleBTSQueryPage'
       class, needed to run querybts; thanks to Andrey Rahmatullin for the
       report; Closes: #565283
     - new method to correctly wrap the report body: before the text was all on a
       single line, now the long lines are wrapped but the paragraph formatting
       is preserved; thanks to Witold Baryluk for the report; Closes: #576116
   * bin/*, reportbub/*
     - add a user-configurable network timeout, adding the CLI option --timeout;
       thanks to Miles Bader for the report; Closes: #572316
   * man/*, doc/README.Users
     - added information about new --timeout CLI option, specifying that some
       network error might be due to a too low timeout; thanks to Michal Suchanek
       for the report; Closes: #571955
   * reportbug/ui/urwid_ui.py
     - encode bug summary lines to avoid crashed when using urwid UI due to
       unparsable UTF8 characters; thanks to Stefan Seide for the report;
       Closes: #552045
   * bin/reportbug, reportbug/utils.py
     - restore the functionality that includes changed conffile into the bug
       report, that went broken log ago; thanks to Håkon Stordahl for the report
       and patch; Closes: #503131
   * bin/reportbug, man/reportbug.1, reportbug/{bugreport.py, utils.py}
     - added the '--source/--src' command-line option, to report bugs against the
       source package instead of the binary one; thanks to Cyril Brulebois for
       the report; Closes: #560230
   * bin/reportbug, man/reportbug.1
     - added the '--from-buildd $SRC_$VER' option to make reportbug file the bug
       against the source package $SRC for the given $VER version; thanks to
       Cyril Brulebois for the report; Closes: #571970
     - added the '--no-bug-script' command-line option to not execute the bug
       script; thanks to Håkon Stordahl for the report and the (inspiring) patch;
       Closes: #511210
     - added the '--no-cc-menu' command-line option to not display the menu
       asking for additional CCs; part of #428113
     - added the '--no-tags-menu' command-line option to not display the menu
       asking for tags; thanks to Josh Triplett for the report and Carl Chenet
       for the (partial) patch; Closes: #428113
   * bin/reportbug, reportbug/ui/text_ui.py, share/presubj
     - append a notice to every 'presubj' script shown in UI text that 'q' is
       probably the key to press to exit the pager (updating reportbug 'presubj'
       script to remove that notice); thanks to Chris Walker for the report;
       Closes: #488414
   * debian/source/format
     - Switch to dpkg-source 3.0 (native) format
   * debian/source/options
     - options to compress the tarball with bzip2 (and max compression)
Checksums-Sha1: 
 241856f3b61351b2e207dbdb247a03fd509598fe 1125 reportbug_4.12.dsc
 8aed964b81516bcdaf7179af7de7b58825a5e0ed 137489 reportbug_4.12.tar.bz2
 e7260c926effd05447c3e88970fcb7ad5476650f 112392 reportbug_4.12_all.deb
 af3c961501873dcf20f58e4cad5f63c618ec12b2 124234 python-reportbug_4.12_all.deb
Checksums-Sha256: 
 911447b2bb054fca351a55d4826eb08ced7a230606d4d3531a3e96d974fa2fc6 1125 reportbug_4.12.dsc
 f018f527c07be34d694eaad02e480072e1c4e6670b6d1015a18012a3dd0af561 137489 reportbug_4.12.tar.bz2
 d1f731a5d1826516b31ffb5b2612a49be9cef267cf7d3b414295b6b58ae1ba9f 112392 reportbug_4.12_all.deb
 de192f6109bc14a4ab4d4e4d65458c6e9dcad52ce0915a60f8ec44680ff93336 124234 python-reportbug_4.12_all.deb
Files: 
 fb006d650b1bbc3625b9dfb506209520 1125 utils standard reportbug_4.12.dsc
 c3e7e7c691bfc36345020e0397b1225e 137489 utils standard reportbug_4.12.tar.bz2
 c8c1a7c06069c2029ffe786c72254b23 112392 utils standard reportbug_4.12_all.deb
 c25946149da8cc5fde6a8a7d769f6e13 124234 python standard python-reportbug_4.12_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkvF4J8ACgkQAukwV0RN2VBO9ACeIp4u9qGUfCiPT5G7S/9EW671
2mwAoIGPI4lb57ALYVoot7Xy/2Wd3N4T
=hppH
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 13 May 2010 07:31:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:57:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.